#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n,i,j;
    double m,z;
    m=-1;
    scanf("%d",&n);
    int a[n];
    double p[n];
    for(i=0;i<n;i++)
    {
        scanf("%d %lf",&a[i],&p[i]);
    }
    for(i=0;i<n;i++)
    {
        z=0;
        for(j=0;j<n;j++)
        {
            if(p[j]>=p[i])
            {
                z+=a[j]*p[i]/100.0;
            }
        }
        if(z>m)
        {
            m=z;
        }
    }
    printf("%lf",m);
    return 0;
}